package poker

import poker.domain._
import scala.collection.mutable.HashMap

object PokerCommandLine extends Application {
  var jogador1 = new Jogador("Fulano")
  var jogador2 = new Jogador("Ciclano")
  
  (1 to 10).foreach { id:Int =>
	  var rodada = new Rodada(id, List(jogador1, jogador2))
	  rodada.distribuiCartas()
   
    println("RODADA")
    println(rodada)
    
    println("COMBINACOES")
    var combinacoes = rodada.combinacoesOrdenadas()
    var i = 0
    combinacoes.keySet.toList.reverse.foreach { combinacao:Combinacao =>
      println(i + ") " + combinacoes(combinacao) + " " + combinacao)
      i += 1
    }
    println()
    
	  println("VENCEDORES :::: " + rodada.vencedores())
    
    println("")
  }
}
